import 'package:flutter/material.dart';
import 'package:joinfut/helpers/input_helper.dart';
import 'package:joinfut/pages/home_page.dart';

import '../widgets/Standard_button.dart';


class CreateUserPage extends StatefulWidget {
  const CreateUserPage({Key? key, required String this.type}) : super(key: key);

  final String type;

  @override
  _CreateUserPage createState() => _CreateUserPage();
}

class _CreateUserPage extends State<CreateUserPage> {

  final _formKey = GlobalKey<FormState>();
  final _user = TextEditingController();
  final _password = TextEditingController();
  final _confirmPassaword = TextEditingController();

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      backgroundColor: Colors.black,
      body: Padding(
        padding: const EdgeInsets.all(50.0),
        child: Form(
          key: _formKey,
          child: ListView(           
            children: <Widget>[
              SizedBox(
                  child: Image.asset('assets/images/logo_appbar.jpg',
                      height: 100, fit: BoxFit.contain)),
              const SizedBox(
                height: 130,
              ),
              SizedBox(height: 35,child: InputHelper.input_email("USUARIO", _user, TextInputType.emailAddress)),
              SizedBox(
                height: 20,
              ),
              SizedBox(height: 35,child: InputHelper.input_password("SENHA",_password, TextInputType.visiblePassword)),
              SizedBox(
                height: 20,
              ),
              SizedBox(height: 35,child: InputHelper.input_password("CONFIRMAÇÃO DE SENHA",_confirmPassaword, TextInputType.visiblePassword)),
              SizedBox(
                height: 40,
              ),
              Container(child: StandardButton("CRIAR USUARIO", 200)),
              SizedBox(
                height: 20,
              ),
            ],
          ),
        ),
      ),
  );
  }
}
