import 'package:flutter/material.dart';
import 'package:joinfut/helpers/input_helper.dart';
import 'package:joinfut/pages/player_register_page.dart';
import 'package:joinfut/pages/select_user_type_page.dart';
import 'package:joinfut/widgets/Standard_button.dart';

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  _HomePage createState() => _HomePage();
}

class _HomePage extends State<HomePage> {
  final _formKey = GlobalKey<FormState>();

  final _user = TextEditingController();
  final _password = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      body: Padding(
        padding: const EdgeInsets.all(50.0),
        child: Form(
          key: _formKey,
          child: ListView(
            children: <Widget>[
              SizedBox(
                  child: Image.asset('assets/images/logo_appbar.jpg',
                      height: 100, fit: BoxFit.contain)),
              const SizedBox(
                height: 130,
              ),
              SizedBox(
                height: 35,
                  child: InputHelper.input_string(
                      "USUARIO", _user, TextInputType.emailAddress)),
              SizedBox(
                height: 20,
              ),
              SizedBox(
                  height: 35,
                  child: InputHelper.input_password(
                      "SENHA", _password, TextInputType.visiblePassword)),
              SizedBox(
                height: 40,
              ),
              Container(child: StandardButton("Login", 200)),
              Container(
                alignment: Alignment.centerRight,
                child: GestureDetector(
                  onTap: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                          builder: (context) => const SelectUserTypePage()),
                    );
                  },
                  child: Text(
                    "Registre-se",
                    style: TextStyle(
                      color: Colors.orange,
                      fontSize: 20,
                    ),
                  ),
                ),
              ),
              SizedBox(
                height: 20,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
