import 'package:flutter/material.dart';
import 'package:joinfut/helpers/input_helper.dart';

class PlayerProfilePage extends StatelessWidget {
  const PlayerProfilePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black12,
      body: Column(children: <Widget>[
        const SizedBox(
          height: 100,
        ),
        SizedBox(
            child: Image.asset('assets/images/usuario.png',
                height: 150, fit: BoxFit.contain)),
        const SizedBox(
          height: 20,
        ),
        const SizedBox(
          height: 35,
          width: 200,
          child: Text(
            'Jonathan Felipe',
            textAlign: TextAlign.center,
            style: TextStyle(
              fontSize: 23,
              color: Color.fromARGB(255, 252, 182, 9),
            ),
          ),
        ),
        const SizedBox(
          height: 20,
        ),
        Row(
          children: [
            Expanded(
              child: Padding(
                padding: const EdgeInsets.only(left: 10),
                child: Container(
                  height: 32,
                  margin: const EdgeInsets.all(5),
                  decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(15.0),
                      border: Border.all(
                          width: 1.5,
                          color: const Color.fromARGB(255, 252, 182, 9))),
                  child: const Text(
                    'Ofensivo',
                    textAlign: TextAlign.center,
                    style: TextStyle(
                      fontSize: 23,
                      color: Colors.white,
                    ),
                  ),
                ),
              ),
            ),
            Expanded(
              child: Padding(
                padding: const EdgeInsets.only(left: 10),
                child: Container(
                  height: 32,
                  margin: const EdgeInsets.all(5),
                  decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(15.0),
                      border: Border.all(
                          width: 1.5,
                          color: const Color.fromARGB(255, 252, 182, 9))),
                  child: const Text(
                    'Centro-Avante',
                    textAlign: TextAlign.center,
                    style: TextStyle(
                      fontSize: 23,
                      color: Colors.white,
                    ),
                  ),
                ),
              ),
            ),
          ],
        ),
        const SizedBox(
          height: 30,
        ),
        Row(
          children: const [
            Padding(padding: EdgeInsets.all(11)),
            Text(
              'INFO',
              textAlign: TextAlign.left,
              style: TextStyle(
                fontSize: 23,
                color: Colors.white,
              ),
            ),
          ],
        ),
        Row(
          children: const [
            Padding(padding: EdgeInsets.all(11)),
            Text(
              'INFO',
              textAlign: TextAlign.left,
              style: TextStyle(
                fontSize: 23,
                color: Colors.white,
              ),
            ),
          ],
        ),
        Row(
          children: const [
            Padding(padding: EdgeInsets.all(11)),
            Text(
              'INFO',
              textAlign: TextAlign.left,
              style: TextStyle(
                fontSize: 23,
                color: Colors.white,
              ),
            ),
          ],
        ),
        const SizedBox(
          height: 50,
        ),
        const SizedBox(
          height: 35,
          width: 300,
          child: Text(
            'Times',
            style: TextStyle(
              fontSize: 23,
              color: Color.fromARGB(255, 252, 182, 9),
            ),
          ),
        ),
        Row(
          children: [
            const Padding(padding: EdgeInsets.all(5)),
            Image.asset('assets/images/barcelona.png',
                height: 70, fit: BoxFit.contain),
            Image.asset('assets/images/gremio.png',
                height: 80, fit: BoxFit.contain),
          ],
        ),
        const SizedBox(
          height: 30,
        ),
        Padding(
          padding: const EdgeInsets.only(left: 10),
          child: Container(
            height: 50,
            width: 230,
            padding: const EdgeInsets.only(top: 10),
            margin: const EdgeInsets.all(5),
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(50.0),
                border: Border.all(
                    width: 1.5, color: const Color.fromARGB(255, 252, 182, 9))),
            child: const Text(
              'Vídeos do Atleta',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 23,
                color: Colors.white,
              ),
            ),
          ),
        ),
      ]),
    );
  }
}
