import 'package:flutter/material.dart';

class TeamRegisterPage extends StatefulWidget {
  const TeamRegisterPage({super.key});

  @override
  TeamRegisterPageState createState() => TeamRegisterPageState();
}

class TeamRegisterPageState extends State<TeamRegisterPage> {
  final _formKey = GlobalKey<FormState>();

  final _cnomeFantasia = TextEditingController();
  final _crazaoSocial = TextEditingController();
  final _ccnpj = TextEditingController();
  final _ciestadual = TextEditingController();
  final _cimunicipal = TextEditingController();
  final _endereco = TextEditingController();
  final _pagamento = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      body: SingleChildScrollView(
        child: Form(
            key: _formKey,
            child: Padding(
              padding: const EdgeInsets.all(25.0),
              child: Column(
                children: [
                  const SizedBox(height: 50),
                  SizedBox(
                      child: Image.asset('assets/images/logo_appbar.jpg',
                          height: 130, fit: BoxFit.contain)),
                  const SizedBox(height: 50),
                  Container(
                    alignment: Alignment.center,
                    child: const Text(
                      "Por favor, insira seus dados",
                      style: TextStyle(
                        color: Colors.white,
                        fontSize: 18,
                        fontWeight: FontWeight.bold,
                      ),
                      textAlign: TextAlign.center,
                    ),
                  ),
                  const SizedBox(
                    height: 20,
                  ),
                  SizedBox(
                      height: 35,
                      child: inputTxt(
                          "NOME FANTASIA", _cnomeFantasia, TextInputType.name)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child:
                          inputTxt("RAZÃO SOCIAL", _ccnpj, TextInputType.text)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child: inputTxt("POSIÇÃO", _ccnpj, TextInputType.text)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child: inputTxt("INSCRIÇÃO ESTADUAL", _ciestadual,
                          TextInputType.text)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child: inputTxt("INSCRIÇÃO MUNICIPAL", _cimunicipal,
                          TextInputType.text)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child:
                          inputTxt("ENDEREÇO", _endereco, TextInputType.text)),
                  const SizedBox(
                    height: 13,
                  ),
                  SizedBox(
                      height: 35,
                      child: inputTxt("OPÇÕES DE PAGAMENTO", _pagamento,
                          TextInputType.text)),
                  const SizedBox(
                    height: 60,
                  ),
                  Container(
                    alignment: Alignment.center,
                    child: const Text(
                      "TERMO DE CONSCENTIMENTO DE CONCESSÃO DE DADOS",
                      style: TextStyle(
                        color: Colors.white,
                        fontSize: 13,
                      ),
                      textAlign: TextAlign.center,
                    ),
                  ),
                  ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      primary: Color.fromARGB(255, 252, 182, 9),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(50),
                      ),
                    ),
                    onPressed: () {},
                    child: const Text(
                      "Criar Usuário",
                      style: TextStyle(color: Colors.black, fontSize: 17),
                    ),
                  ),
                ],
              ),
            )),
      ),
    );
  }

  TextFormField inputTxt(
      String hint, TextEditingController controle, TextInputType type) {
    return TextFormField(
      controller: controle,
      keyboardType: type,
      textAlign: TextAlign.center,
      style: const TextStyle(
        color: Colors.white,
        fontSize: 18,
      ),
      decoration: InputDecoration(
        enabledBorder: OutlineInputBorder(
            borderRadius: BorderRadius.circular(15.0),
            borderSide: const BorderSide(
                width: 1.5, color: Color.fromARGB(255, 252, 182, 9))),
        filled: true,
        fillColor: Colors.black,
        hintStyle: const TextStyle(color: Colors.white),
        hintText: hint,
        contentPadding: const EdgeInsets.all(1),
      ),
    );
  }
}
