import 'package:flutter/material.dart';

class TermsPage extends StatelessWidget {
  const TermsPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      body: Padding(
        padding: const EdgeInsets.all(50.0),
        child: Container(
          child: ListView(children: <Widget>[
            /**
               * Coloquei o botão de retornar na appbar
               */
            AppBar(
              backgroundColor: Colors.black,
              automaticallyImplyLeading: false,
              leadingWidth: 50,
              leading: ElevatedButton.icon(
                //Navigator retorna ao contexto da tela anterior
                onPressed: () => Navigator.of(context).pop(),
                icon: const Icon(
                  Icons.arrow_left_sharp,
                  size: 50,
                ),
                label: const Text(''),
                style: ElevatedButton.styleFrom(
                    elevation: 0,
                    primary: Colors.transparent,
                   /* foregroundColor: Color.fromARGB(255, 252, 182, 9)*/),
              ),
              title: Image.asset('assets/images/logo_appbar.jpg'),
            ),

            /**
              SizedBox(
                  child: Image.asset('assets/images/logo_appbar.jpg',
                      height: 100, fit: BoxFit.contain)),

              */

            SizedBox(
              height: 40,
            ),
            Text(
              'Por favor, leia com atenção!',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontWeight: FontWeight.bold,
                fontSize: 16, //Tamanho no Mock
                color: Colors.white,
              ),
            ),
            SizedBox(
              height: 50,
            ),
            Container(
              height: 350, //Tamanho da caixa onde o texto vai rodar
              child: Expanded(
                child: SingleChildScrollView(
                  scrollDirection: Axis.vertical,
                  child: Text(
                    'Lorem ipsum dolor sit amet, consectetur adipiscing elit. In metus metus, dignissim in nulla eu, varius maximus lorem. In pretium leo non tempor accumsan. Suspendisse quis erat eu ex ullamcorper maximus quis sed neque. Mauris at tellus quis dui pharetra pulvinar vel in odio. Maecenas quis justo faucibus, varius tellus et, eleifend purus. Integer eget arcu lacus. Cras lectus elit, consequat quis eros in, volutpat vehicula purus. Nunc quis felis vel mi venenatis tincidunt. Nam tempor nisl ut tellus ornare elementum. Sed orci lacus, maximus sed tempor sit amet, volutpat nec augue. Nulla cursus efficitur sem, in lacinia metus pretium vitae. Interdum et malesuada fames ac ante ipsum primis in faucibus. Pellentesque ultricies leo malesuada mattis porttitor. Fusce in lobortis odio.',
                    textAlign: TextAlign.justify,
                    style: TextStyle(
                      fontSize: 16,
                      color: Colors.white,
                    ),
                  ),
                ),
              ),
            ),
            SizedBox(
              height: 30,
            ),
            SizedBox(
              width: 1,
              child: ElevatedButton(
                style: ElevatedButton.styleFrom(
                  primary: Color.fromARGB(255, 252, 182, 9),
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(50),
                  ),
                ),
                onPressed: () {},
                child: Text(
                  "Aceito",
                  style: const TextStyle(color: Colors.black, fontSize: 16),
                ),
              ),
            ),
            SizedBox(
              height: 20,
            ),

            /**
               * Divider para a tela
               */
            Divider(
              color: Color.fromARGB(255, 252, 182, 9), //color of divider
              height: 5, //height spacing of divider
              thickness: 3, //thickness of divier line
              indent: 15, //spacing at the start of divider
              endIndent: 15, //spacing at the end of divider
            ),
            SizedBox(
              height: 20,
            ),
            Text(
              'Ao aceitar, você concorda com os termos descritos acima',
              textAlign: TextAlign.center,
              style: TextStyle(
                fontWeight: FontWeight.bold,
                fontSize: 16, //Tamanho no Mock
                color: Colors.white,
              ),
            ),
          ]),
        ),
      ),
    );
  }
}
