import 'dart:convert' as convert;
import 'dart:io';
import 'package:http/http.dart' as http;
import 'package:joinfut/models/PlayerModel.dart';

class PlayerService {

  Future<PlayerModel> exemplo(int id) async {
    var url = Uri.https('www.googleapis.com', '/books/v1/volumes', {'q': '{http}'});
    var response = await http.get(url);
    var json = convert.jsonDecode(response.body);
    return json;
  }

  Future<PlayerModel> getPlayer(int id) async {
    var url = Uri.http('10.0.2.2:8080', '/personas/atlete/$id');
    var response = await http.get(url);
    print('Response: ${response.body}');
    var json = convert.jsonDecode(response.body);
    return PlayerModel.fromJson(json);
  }

  Future<void> postPlayer(PlayerModel player) async {
    try {
      var url = Uri.http('10.0.2.2:8080', '/personas/atletes');
      print(convert.jsonEncode(PlayerModel.toJson(player)));
      http.Response response = await http.post(
        url,
        headers: {HttpHeaders.contentTypeHeader: "application/json"},
        body: convert.jsonEncode(PlayerModel.toJson(player)));
        
      print('Response: ${response.statusCode}');
    } catch (error) {
      print('ERROR: $error');
    }
  }
}

